# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Feature-Compat-Class
Version:	0.07
Release:	1%{?dist}
Summary:	Make class syntax available
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/dist/Feature-Compat-Class
Source0:	https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Feature-Compat-Class-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl(:VERSION) >= 5.14
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(strict)
# Module
BuildRequires:	perl(constant)
BuildRequires:	perl(feature)
# Test Suite
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(warnings)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.00
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Prior to Fedora 41, which includes Perl 5.40, we need Object::Pad ≥ 0.806
%if 0%{?fedora} < 41 && 0%{?rhel} < 10
BuildRequires:	perl(Object::Pad) >= 0.806
Requires:	perl(Object::Pad) >= 0.806
%endif

%description
This module provides the new class keyword and related others (method, field
and ADJUST) in a forward-compatible way.

%prep
%setup -q -n Feature-Compat-Class-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Feature/
%{_mandir}/man3/Feature::Compat::Class.3*

%changelog
* Mon Jul 15 2024 Paul Howarth <paul@city-fan.org> - 0.07-1
- Update to 0.07
  - Updated for Perl v5.40 to support the ':reader' field attribute and
    '__CLASS__' keyword
  - Use 'Object::Pad' v0.806 on older perls, in order to support field
    initialiser expressions that can see earlier fields

* Mon Sep 25 2023 Paul Howarth <paul@city-fan.org> - 0.06-3
- Import from Fedora

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Sandro Mani <manisandro@gmail.com> - 0.06-1
- Update to 0.06

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 12 2023 Sandro Mani <manisandro@gmail.com> - 0.05-1
- Update to 0.05

* Fri Jan 06 2023 Sandro Mani <manisandro@gmail.com> - 0.04-2
- Fix license
- Fix source URL
- List files explicitly
- Fix requires/BRs

* Fri Jan 06 2023 Sandro Mani <manisandro@gmail.com> - 0.04-1
- Initial package
